#!/bin/sh
#rm -rf /usr/lib/python1.5/site-packages/ncurses/
DESTDIR=$1
cd ncurses


swig -stat -python -globals cursesvar _curses.i
swig -stat -python _panel.i
swig -stat -python _menu.i
swig -stat -python _form.i

gcc -fpic -c _curses_wrap.c -I/usr/include/python1.5/ -I.
gcc -fpic -c _panel_wrap.c -I/usr/include/python1.5/
gcc -fpic -c _menu_wrap.c -I/usr/include/python1.5/
gcc -fpic -c _form_wrap.c -I/usr/include/python1.5/

ld -shared _curses_wrap.o -lncurses -o _curses.so
ld -shared _panel_wrap.o -lpanel -o _panel.so
ld -shared _menu_wrap.o -lmenu -o _menu.so
ld -shared _form_wrap.o -lform -o _form.so

strip *.so
chmod a-x *.so
cd ..
